Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.cache
Class CacheFactory

    java.lang.Object
      be.ehealth.technicalconnector.cache.CacheFactory

    public final class CacheFactory

extends Object

Factory to obtain cache instances

Nested Class Summary
`static class` | `CacheFactory.CacheType`
`static class` | `CacheFactory.ExpiryType`

Constructor Summary
`CacheFactory()`

Method Summary
`static
`<K,V> Cache<K,V>`
` | `newInstance(CacheFactory.CacheType cacheType, String serviceName)` Deprecated. please use newInstance(CacheType cacheType, String cacheName, CacheInformation.ExpiryType expiryType, Duration expiryDuration)
`static
`<K,V> Cache<K,V>`
` | `newInstance(CacheFactory.CacheType cacheType, String cacheName, CacheInformation.ExpiryType expiryType, org.joda.time.Duration expiryDuration)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheFactory

    public CacheFactory()

Method Detail

### newInstance

    public static <K,V> Cache<K,V> newInstance(CacheFactory.CacheType cacheType,
                                               String cacheName,
                                               CacheInformation.ExpiryType expiryType,
                                               org.joda.time.Duration expiryDuration)

### newInstance

    @Deprecated
    public static <K,V> Cache<K,V> newInstance(CacheFactory.CacheType cacheType,
                                                          String serviceName)

  Deprecated. please use newInstance(CacheType cacheType, String cacheName, CacheInformation.ExpiryType expiryType, Duration expiryDuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.